Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Time-HiRes CPAN distribution.

Report information
The Basics
Id:
29747
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
SREZIC [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
Normal
Broken in:
1.9707
Fixed in:
(no value)



Subject: Build failure with perl 5.005_05
Time::HiRes does not build with the newest perl 5.005: $ make ccache cc -c -DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -I/usr/local/include -O2 -pipe -DVERSION=\"1.9707\" -DXS_VERSION=\"1.9707\" -DPIC -fPIC "-I/usr/perl5.005_05/lib/5.00505/amd64-freebsd/CORE" -DTIME_HIRES_NANOSLEEP -DATLEASTFIVEOHOHFIVE HiRes.c HiRes.xs: In function `XS_Time__HiRes_stat': HiRes.xs:1208: error: `PL_ppaddr' undeclared (first use in this function) HiRes.xs:1208: error: (Each undeclared identifier is reported only once HiRes.xs:1208: error: for each function it appears in.) *** Error code 1 Regards, Slaven
On Wed Oct 03 16:50:57 2007, SREZIC wrote:
Show quoted text
> Time::HiRes does not build with the newest perl 5.005: > > $ make > ccache cc -c -DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H > -I/usr/local/include -O2 -pipe -DVERSION=\"1.9707\" > -DXS_VERSION=\"1.9707\" -DPIC -fPIC > "-I/usr/perl5.005_05/lib/5.00505/amd64-freebsd/CORE" > -DTIME_HIRES_NANOSLEEP -DATLEASTFIVEOHOHFIVE HiRes.c > HiRes.xs: In function `XS_Time__HiRes_stat': > HiRes.xs:1208: error: `PL_ppaddr' undeclared (first use in this function) > HiRes.xs:1208: error: (Each undeclared identifier is reported only once > HiRes.xs:1208: error: for each function it appears in.) > *** Error code 1 > > Regards, > Slaven
The problem is very probably caused by https://rt.cpan.org/Ticket/Display.html?id=29748 and may be fixed with the attached patch. Regards, Slaven
--- Time-HiRes-1.9707-6Zct5F/ppport.h Sun Dec 3 17:37:40 2006 +++ Time-HiRes-1.9707-yD6qhG/ppport.h Wed Oct 3 22:57:47 2007 @@ -3661,7 +3661,7 @@ extern U32 DPPP_(my_PL_signals); * automatically be defined as the correct argument. */ -#if ((PERL_VERSION < 5) || ((PERL_VERSION == 5) && (PERL_SUBVERSION <= 4))) +#if ((PERL_VERSION < 5) || ((PERL_VERSION == 5) && (PERL_SUBVERSION <= 5))) /* Replace: 1 */ # define PL_ppaddr ppaddr # define PL_no_modify no_modify
I actually used the latest Devel::PPPort to regenerate ppport.h et al.


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.